
Figure - Bug #117428
【IOVDEV-21763】【内部】【VC1】【0068】【台架/EE环境】【HRYTTESTVINMGM328】【副屏遥控器】
进入副屏的WiFi密码输入页面，点击副屏四个按键方向无效
2023-04-12 18:49 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-12

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：68��副屏版本：88 usedebug版本

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: 中控版本：68��副屏版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304170012

Reproducibility: Every time Fixed Version: 2023-04-15

Test Type: ST Root cause: EditText 拦截了方向控制事件。

Description

【前提条件】

1、车机已上电，网络正常

2、台架处于测试环境

【操作手顺】

1、进入副屏遥控器应用，按键点击副屏的>设置>网络和互联网>点击任意wifi名称

2、在副屏遥控器页面，点击上/下/左 ，查看副屏响应

【实际结果】

2、点击任意方向均无响应，点击OK可以弹出输入法页面

【期望结果】

2、点击方向键可以正常响应：

上：期望移动到最上层

下：期望移动到“显示密码”栏

左：左可以移动到左边

测试时间：20230412 14：13

副屏版本：88 usedebug版本

副屏和主屏的日志请见附件，测试视频请见附件

History

#1 - 2023-04-13 09:55 - 移动测试一组_CDTS 刘强

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-程天颖 to 移动测试一组_CDTS 刘强

- Verified Version set to 中控版本：68

副屏版本：90 user版本

我们新版本验证问题未复现，需要客户那边使用新版本验证，若客户验证通过则可关闭

#2 - 2023-04-13 15:14 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to 物联网测试组_TSCD 王维
#3 - 2023-04-13 15:46 - 物联网测试组_TSCD 王维

- Category changed from 依赖客户及其供应商解决 to CD-FW

- Assignee changed from 物联网测试组_TSCD 王维 to CD FW-程天颖

中控版本：68

副屏版本：90 user版本

上述版本上存在该现象

#4 - 2023-04-14 14:05 - CD FW 曹覃刚

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#5 - 2023-04-14 18:51 - CD FW-廖涛

- Status changed from NEED_INFO to ASSIGNED

- % Done changed from 0 to 80

- Root cause set to EditText 拦截了方向控制事件。

■ Current conclusion

已处理，代码已提交。

■ My analysis

EditText 拦截了方向控制事件。处理为不拦截后生效。

■ Next action

代码 Review 及入库。

#6 - 2023-04-15 16:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193944 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Don't handle directional navigation key on TextView.TC-RID: 1201-0201813IssueID: TS-R-BUG-117428Change-Id:

I61ed6ff1ad32b22f86bd9622484641f42695c0f3

#7 - 2023-04-15 16:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194041 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Don't handle directional navigation key on TextView.TC-RID: 1201-0201813IssueID: TS-R-BUG-117428Change-Id:

Id5eb9c95fc3cdf9f5400bf159c7d9175cc739fc9
#8 - 2023-04-15 16:41 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- % Done changed from 80 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-15

■ Current conclusion

已处理，代码已入库。

■ My analysis

---

■ Next action

测试验证。

#9 - 2023-04-15 18:01 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to 物联网测试组_TSCD 王维

请帮忙验证中控遥控器问题

#10 - 2023-04-17 17:47 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version changed from 中控版本：68

副屏版本：90 user版本 to 中控版本：68

副屏版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304170012

4.17

验证通过

#11 - 2023-04-21 14:26 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to VERIFY_FAILED

#12 - 2023-04-21 14:27 - 物联网测试组_TSCD 王维

- Status changed from VERIFY_FAILED to RESOLVED

#13 - 2023-04-21 14:27 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to NEED_INFO

#14 - 2023-05-05 11:35 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#15 - 2023-05-05 11:35 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

客户验证通过，关闭
#16 - 2023-05-05 11:38 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

14-13.7z 1.74 MB 2023-04-12 移动测试一组_CDTS 刘强

14-13.mp4 11.4 MB 2023-04-12 移动测试一组_CDTS 刘强

副屏-14-13.log.txt 2.81 MB 2023-04-12 移动测试一组_CDTS 刘强
